Commit b28ae90e authored by Rémi Duraffort's avatar Rémi Duraffort

Install missing svgwrite dependency

Signed-off-by: Rémi Duraffort's avatarRémi Duraffort <remi.duraffort@linaro.org>
parent 9d87014f
Pipeline #3866 passed with stages
in 3 minutes and 56 seconds
......@@ -5,7 +5,7 @@ set -e
if [ "$1" = "setup" ]
then
apt-get update -q
apt-get install --no-install-recommends --yes apache2 libapache2-mod-wsgi-py3 libjs-jquery python3 python3-django python3-jinja2 python3-requests python3-tz python3-voluptuous python3-yaml
apt-get install --no-install-recommends --yes apache2 libapache2-mod-wsgi-py3 libjs-jquery python3 python3-django python3-jinja2 python3-requests python3-svgwrite python3-tz python3-voluptuous python3-yaml
apt-get install --no-install-recommends --yes python3-pytest python3-pytest-cov python3-pytest-django
django-admin startproject fed .
echo "INSTALLED_APPS.append(\"lavafed\")" >> fed/settings.py
......
......@@ -15,7 +15,7 @@ COPY share/urls.py /app/fedweb/urls.py.orig
# Install dependencies
RUN apt-get update -q ;\
apt-get install --no-install-recommends --yes gunicorn3 libjs-jquery python3 python3-pip python3-django python3-jinja2 python3-requests python3-tz python3-voluptuous python3-yaml ;\
apt-get install --no-install-recommends --yes gunicorn3 libjs-jquery python3 python3-pip python3-django python3-jinja2 python3-requests python3-svgwrite python3-tz python3-voluptuous python3-yaml ;\
python3 -m pip install --upgrade whitenoise ;\
python3 -m pip install --upgrade 'sentry-sdk==0.7.11' ;\
# Create the django project
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment